import { EventEmitter } from '@angular/core';
import { AngularPaginatorInstance } from '../others/angular-paginator.interface';
export declare class AngularPaginatorService {
    id: string;
    instances: any;
    collection: any;
    change: EventEmitter<string>;
    constructor();
    /**
     * creates an instance for every pipe differentiated with id
     *
     * @param instance each instance refers to a unique pagination component
     */
    registerInstance(instance: AngularPaginatorInstance): void;
    /**
     * updates existing pagination instances available
     * and returns true if value has changed
     *
     * @param instance an unique pagination component
     */
    updateInstance(instance: AngularPaginatorInstance): boolean;
    /**
     * return instance with given id
     *
     * @param id unique id for the pagination component
     */
    getInstance(id: string): any;
    /**
     * return currentPage for given id
     *
     * @param id unique id for the pagination component
     */
    getCurrentPage(id: string): number;
}
